# Get permission assignments

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments`

`GET /api/2.0/preview/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments`

Get the permission assignments for the specified <Account> and <Workspace>.

API scopes: access-management

## Path parameters

- `account_id` (string, required)
  The account ID.
- `workspace_id` (int64, required)
  The workspace ID for the account.

## Returns

Returns a list of WorkspacePermissionAssignmentOutput objects.

## Response

```json
{
  "permission_assignments": [
    {
      "principal": {},
      "permissions": [
        "UNKNOWN"
      ],
      "error": "string"
    }
  ]
}
```

